com.independentsoft.exchange

## Enum DeleteType

- java.lang.Object
- - java.lang.Enum<DeleteType>
  - - com.independentsoft.exchange.DeleteType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DeleteType>

      public enum DeleteType
      extends java.lang.Enum<DeleteType>

  Indicates how items in a conversation are deleted.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HARD_DELETE` Indicates that items in a conversation are permanently removed from the mailbox database.
    `MOVE_TO_DELETED_ITEMS` Indicates that items in a conversation are moved to the dumpster if the dumpster is enabled.
    `NONE` None.
    `SOFT_DELETE` Indicates that items in a conversation are moved to the dumpster if the dumpster is enabled.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeleteType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeleteType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HARD_DELETE

          public static final DeleteType HARD_DELETE

      Indicates that items in a conversation are permanently removed from the mailbox database.

    - #### SOFT_DELETE

          public static final DeleteType SOFT_DELETE

      Indicates that items in a conversation are moved to the dumpster if the dumpster is enabled.

    - #### MOVE_TO_DELETED_ITEMS

          public static final DeleteType MOVE_TO_DELETED_ITEMS

      Indicates that items in a conversation are moved to the dumpster if the dumpster is enabled.

    - #### NONE

          public static final DeleteType NONE

      None.

  - ### Method Detail

    - #### values

          public static DeleteType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeleteType c : DeleteType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeleteType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null